Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xpath.patterns
Class ContextMatchStepPattern

    java.lang.Object
      org.apache.xpath.Expression
          org.apache.xpath.patterns.NodeTest
              org.apache.xpath.patterns.StepPattern
                  org.apache.xpath.patterns.ContextMatchStepPattern

All Implemented Interfaces:
  ExpressionNode, ExpressionOwner, java.io.Serializable, SourceLocator, SubContextList, XPathVisitable

public class ContextMatchStepPattern
extends StepPattern

Special context node pattern matcher.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.xpath.patterns.NodeTest
`SCORE_NODETEST, SCORE_NONE, SCORE_NSWILD, SCORE_OTHER, SCORE_QNAME, SHOW_BYFUNCTION, SUPPORTS_PRE_STRIPPING, WILD`

Constructor Summary
`ContextMatchStepPattern(int axis, int paxis)` Construct a ContextMatchStepPattern.

Method Summary
`XObject` | `execute(XPathContext xctxt)` Execute this pattern step, including predicates.
`XObject` | `executeRelativePathPattern(XPathContext xctxt, StepPattern prevStep)` Execute the match pattern step relative to another step.

Methods inherited from class org.apache.xpath.patterns.StepPattern
`calcScore, calcTargetString, callVisitors, canTraverseOutsideSubtree, deepEquals, execute, execute, fixupVariables, getAxis, getExpression, getLastPos, getMatchScore, getPredicate, getPredicateCount, getPredicates, getProximityPosition, getRelativePathPattern, getTargetString, setAxis, setExpression, setPredicates, setRelativePathPattern, toString`

Methods inherited from class org.apache.xpath.patterns.NodeTest
`debugWhatToShow, getDefaultScore, getLocalName, getNamespace, getNodeTypeTest, getStaticScore, getWhatToShow, initNodeTest, initNodeTest, setLocalName, setNamespace, setStaticScore, setWhatToShow`

Methods inherited from class org.apache.xpath.Expression
`asIterator, asIteratorRaw, asNode, assertion, bool, error, execute, executeCharsToContentHandler, exprAddChild, exprGetChild, exprGetNumChildren, exprGetParent, exprSetParent, getColumnNumber, getExpressionOwner, getLineNumber, getPublicId, getSystemId, isNodesetExpr, isStableNumber, num, warn, xstr`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContextMatchStepPattern

    public ContextMatchStepPattern(int axis,
                                   int paxis)

  Construct a ContextMatchStepPattern.

Method Detail

### execute

    public XObject execute(XPathContext xctxt)
                    throws TransformerException

  Execute this pattern step, including predicates.

  Overrides:
    `execute` in class `StepPattern`
  Parameters:
    `xctxt` - XPath runtime context.
  Returns:
    `NodeTest.SCORE_NODETEST`, `NodeTest.SCORE_NONE`, `NodeTest.SCORE_NSWILD`, `NodeTest.SCORE_QNAME`, or `NodeTest.SCORE_OTHER`.
  Throws:
    `TransformerException`

### executeRelativePathPattern

    public XObject executeRelativePathPattern(XPathContext xctxt,
                                              StepPattern prevStep)
                                       throws TransformerException

  Execute the match pattern step relative to another step.

  Parameters:
    `xctxt` - The XPath runtime context. NEEDSDOC @param prevStep
  Returns:
    `NodeTest.SCORE_NODETEST`, `NodeTest.SCORE_NONE`, `NodeTest.SCORE_NSWILD`, `NodeTest.SCORE_QNAME`, or `NodeTest.SCORE_OTHER`.
  Throws:
    `TransformerException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache XML Project. All Rights Reserved.